API reference
Billing
GET
bearerheader
AuthorizationBearer <token>OK
application/json- response
plan*stringValue in
"free""pro"status*string|nullrenewsAt*string|nullcancelAtPeriodEnd*booleanpaymentFailed*booleanperiod*usedHours*numberincludedHours*numbermaxConcurrent*numbermaxSize*stringValue in
"small""default""large""xlarge"blocked*|nulloverage*prices*|nullbillingEnabled*booleanhasCustomer*booleanplans*curl -X GET 'https://api.keko.run/v1/billing'Example Response
{ "plan": "free", "status": "string", "renewsAt": "string", "cancelAtPeriodEnd": true, "paymentFailed": true, "period": { "id": "string", "start": "string", "end": "string" }, "usedHours": 0, "includedHours": 0, "maxConcurrent": 0, "maxSize": "small", "blocked": "hours_used", "overage": { "available": true, "enabled": true, "capHours": 0, "usedHours": 0 }, "prices": { "currency": "string", "proMonthly": 0, "overageHourly": 0 }, "billingEnabled": true, "hasCustomer": true, "plans": { "free": { "includedHours": 0, "maxConcurrent": 0 }, "pro": { "includedHours": 0, "maxConcurrent": 0 } }}POST
bearerheader
AuthorizationBearer <token>application/json- body
linkVisits?booleanOK
application/json- response
url*stringcurl -X POST 'https://api.keko.run/v1/billing/checkout' \ -H 'Content-Type: application/json' \ -d '{}'Example Response
{ "url": "string"}POST
bearerheader
AuthorizationBearer <token>OK
application/json- response
url*stringcurl -X POST 'https://api.keko.run/v1/billing/portal'Example Response
{ "url": "string"}PATCH
bearerheader
AuthorizationBearer <token>application/json- body
enabled*booleancapHours?integerRange
1 <= value <= 10000OK
application/json- response
plan*stringValue in
"free""pro"status*string|nullrenewsAt*string|nullcancelAtPeriodEnd*booleanpaymentFailed*booleanperiod*usedHours*numberincludedHours*numbermaxConcurrent*numbermaxSize*stringValue in
"small""default""large""xlarge"blocked*|nulloverage*prices*|nullbillingEnabled*booleanhasCustomer*booleanplans*curl -X PATCH 'https://api.keko.run/v1/billing/overage' \ -H 'Content-Type: application/json' \ -d '{ "enabled": true}'Example Response
{ "plan": "free", "status": "string", "renewsAt": "string", "cancelAtPeriodEnd": true, "paymentFailed": true, "period": { "id": "string", "start": "string", "end": "string" }, "usedHours": 0, "includedHours": 0, "maxConcurrent": 0, "maxSize": "small", "blocked": "hours_used", "overage": { "available": true, "enabled": true, "capHours": 0, "usedHours": 0 }, "prices": { "currency": "string", "proMonthly": 0, "overageHourly": 0 }, "billingEnabled": true, "hasCustomer": true, "plans": { "free": { "includedHours": 0, "maxConcurrent": 0 }, "pro": { "includedHours": 0, "maxConcurrent": 0 } }}